Qt 5.6 | Qt Widgets | C++ Classes | QDesktopWidget

Qt 5.6.2 Reference Documentation

# Obsolete Members for QDesktopWidget

The following members of class QDesktopWidget are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` int | numScreens() const

- 3 public functions inherited from QWidget

## Member Function Documentation

### int QDesktopWidget::numScreens() const

Returns the number of available screens.

This function is deprecated. Use screenCount instead.

See also primaryScreen.